KooshyFE (/ˈko͝oSHē f ē/) is a front-end rapid development application and serves as a starting point for creating site templates and markup by utilizing LESS and various Javascript vendor libraries.
CSS JavaScript
Latest commit 31991be Apr 24, 2013 @aroemen added screenshot to readme
Permalink
Failed to load latest commit information.
components
lib refactored app to remove git submodule dependencies Apr 5, 2013
.bowerrc refactored app to remove git submodule dependencies Apr 5, 2013
.gitattributes initial commit Jul 16, 2012
.gitignore refactored app to remove git submodule dependencies Apr 5, 2013
README.md added screenshot to readme Apr 24, 2013
config-example.json refactored app to remove git submodule dependencies Apr 5, 2013
kooshy-fe.sublime-project added screenshot Apr 24, 2013
kooshy-screenshot.png added screenshot Apr 24, 2013
package.json

README.md

KooshyFE v3.1

KooshyFE is an application that streamlines the web markup process.

KooshyFE Screenshot

Quick Start

Prerequisites:

Installation / Setup:

  1. Add as a submodule to your existing repository

    $ git submodule add https://github.com/aroemen/kooshy-fe.git
    

    OR clone into your working directory

    $ git clone https://github.com/aroemen/kooshy-fe.git
    
  2. Install KooshyFE's Node dependencies:

    $ npm install -d
    
  3. Setup KooshyFE configuration file:

    $ cd kooshy-fe
    $ cp config-example.json config.json
    $ vim config.json  # Edit config.json to setup your monitors
    

Start KooshyFE:

$ npm start

What's New in v3.1

  • Simplified the setup proceed! Much easier to install and get running!
  • Added support bower package manager
  • A clean, redesigned web interface to support new functionality
  • Moved application configuration to npm
  • Updated the application name removing the space between Kooshy and FE. Small but powerful!

License

KooshyFE is licenced under MIT. For more information, http://opensource.org/licenses/MIT